=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_skrooge/skrooge )
add_subdirectory( pt_skrooge/skrooge )
add_subdirectory( pt_BR_skrooge/skrooge )
add_subdirectory( sv_skrooge/skrooge )
add_subdirectory( uk_skrooge/skrooge )
