=== skg_advice/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_ADVICE ::..")

PROJECT(plugin_advice)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_advice_SRCS
	skgadviceplugin.cpp
	skgadviceboardwidget.cpp
	skgtipofdayboardwidget.cpp
)

kde4_add_ui_files(skg_advice_SRCS skgadviceboardwidget.ui skgtipofdayboardwidget.ui)

kde4_add_plugin(skg_advice ${skg_advice_SRCS})
TARGET_LINK_LIBRARIES(skg_advice ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_advice DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-advice.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_advice.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_advice )

kde4_install_icons(${ICON_INSTALL_DIR})
