=== skg_dashboard/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DASHBOARD ::..")

PROJECT(plugin_dashboard)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_dashboard_SRCS
	skgdashboardplugin.cpp
	skgdashboardpluginwidget.cpp)

kde4_add_ui_files(skg_dashboard_SRCS skgdashboardpluginwidget_base.ui skgdashboardpluginwidget_pref.ui skgdashboardpluginwidget_pref.ui)
kde4_add_kcfg_files(skg_dashboard_SRCS skgdashboard_settings.kcfgc )

kde4_add_plugin(skg_dashboard ${skg_dashboard_SRCS})
TARGET_LINK_LIBRARIES(skg_dashboard ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_dashboard DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-dashboard.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_dashboard.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_dashboard )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgdashboard_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons(${ICON_INSTALL_DIR})
