=== skg_dashboard2/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DASHBOARD2 ::..")

PROJECT(plugin_dashboard2)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgdataengine
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_dashboard2_SRCS
	skgdashboard2plugin.cpp
	skgdashboard2pluginwidget.cpp
	skgdashboard2applet.cpp)

kde4_add_ui_files(skg_dashboard2_SRCS skgdashboard2pluginwidget_base.ui skgdashboard2pluginwidget_pref.ui)
kde4_add_kcfg_files(skg_dashboard2_SRCS skgdashboard2_settings.kcfgc )

kde4_add_plugin(skg_dashboard2 ${skg_dashboard2_SRCS})
TARGET_LINK_LIBRARIES(skg_dashboard2 ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_dashboard2 DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-dashboard2.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_dashboard2.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_dashboard2 )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgdashboard2_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES skrooge-default-layoutrc DESTINATION ${DATA_INSTALL_DIR}/skg_dashboard2)

kde4_install_icons(${ICON_INSTALL_DIR})
