=== skg_dataengine/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DATAENGINE ::..")

PROJECT( plugin_dataengine )


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
)


LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_dataengine_SRCS skgdataengineplugin.cpp skgdataengine.cpp)


kde4_add_plugin(skg_dataengine ${skg_dataengine_SRCS})
TARGET_LINK_LIBRARIES(skg_dataengine ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_dataengine DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-dataengine.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_dataengine.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_dataengine )
