=== skg_debug/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DEBUG ::..")

PROJECT(plugin_debug)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_debug_SRCS skgdebugplugin.cpp skgdebugpluginwidget.cpp)

kde4_add_ui_files(skg_debug_SRCS skgdebugpluginwidget_base.ui)

kde4_add_plugin(skg_debug ${skg_debug_SRCS})
TARGET_LINK_LIBRARIES(skg_debug ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui )

########### install files ###############
INSTALL(TARGETS skg_debug DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-debug.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_debug.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_debug )
