=== skgapplets/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DASHBOARD2 APPLETS ::..")

PROJECT(skg_applets)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

add_subdirectory(advice)
add_subdirectory(alarm)
add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)
add_subdirectory(calculator)
add_subdirectory(operation)
add_subdirectory(file)
add_subdirectory(highlightedoperation)
add_subdirectory(scheduledoperation)
