=== skgbankguitest/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKGUITEST ::..")

PROJECT(SKBBASEMODELERTEST)

ADD_DEFINITIONS(-DQT_GUI_LIB)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_BINARY_DIR}/skgbankgui
)

#Make executables
ADD_EXECUTABLE(skgtestpredicatcreator skgtestpredicatcreator.cpp)

QT4_AUTOMOC(skgtestpredicatcreator.cpp)

TARGET_LINK_LIBRARIES(skgtestpredicatcreator ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasemodeler skgbankmodeler skgbankgui skgbasegui)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestpredicatcreator ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestpredicatcreator.sh)

INCLUDE(CTest)
