=== skgbankmodeler/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELER ::..")

PROJECT(SKGBANKMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

#Correction bug 223848 vvvv
#FIND_PACKAGE( LibOfx REQUIRED )
IF(WIN32)
    SET(LIBOFX_FOUND FALSE)
ELSE(WIN32)
    FIND_PACKAGE( LibOfx )
ENDIF(WIN32)

IF(LIBOFX_FOUND)
    INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${LIBOFX_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
ELSE(LIBOFX_FOUND)
    INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
ENDIF(LIBOFX_FOUND)
#Correction bug 223848 ^^^^

SET(skgbankmodeler_SRCS
   skgbankobject.cpp
   skgaccountobject.cpp
   skgoperationobject.cpp
   skgrecurrentoperationobject.cpp
   skgtrackerobject.cpp
   skgpayeeobject.cpp
   skgsuboperationobject.cpp
   skgcategoryobject.cpp
   skgunitobject.cpp
   skgunitvalueobject.cpp
   skgdocumentbank.cpp
   skgimportexportmanager.cpp
   skgimportskg.cpp
   skgimportkmy.cpp
   skgimportgnc.cpp
   skgimportgsb.cpp
   skgimportxhb.cpp
   skgruleobject.cpp
   skginterestobject.cpp
 )

#build a shared library
KDE4_ADD_LIBRARY(skgbankmodeler SHARED ${skgbankmodeler_SRCS})

#need to link to some other libraries ? just add them here
#Correction bug 223848 vvvv
TARGET_LINK_LIBRARIES(skgbankmodeler ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTSQL_LIBRARY} skgbasemodeler)
IF(LIBOFX_FOUND)
MESSAGE( STATUS "OFX found. OFX support enabled")
TARGET_LINK_LIBRARIES(skgbankmodeler ${LIBOFX_LIBRARIES})
ADD_DEFINITIONS(-DSKG_ENABLE_OFX)
ELSE(LIBOFX_FOUND)
MESSAGE( STATUS "OFX not found. Install OFX library to enable OFX support")
ENDIF(LIBOFX_FOUND)
#Correction bug 223848 ^^^^

IF(MSVC)
    TARGET_LINK_LIBRARIES(skgbankmodeler $ENV{KDEROOT}/lib/sp133.lib $ENV{KDEROOT}/lib/libiconv-2.lib)
ENDIF(MSVC)
SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS})
