=== debian/changelog ===
skrooge (0.7.3.2-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_arm_compile_fix.diff to fix double vs. float issues on
    armel architectures when using qreal that cause FTBFS on arm

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 22:51:48 -0400

skrooge (0.7.3.2-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 22 Sep 2010 06:44:06 +1000
