## skrooge 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,9 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(VERSION 0.7.4)
+SET(SKG_VERSION "0.8.1")
+SET(SKG_BETA "")
 SET(SOVERSION 0)
-SET(UPDATE_TYPE "svn")
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
 IF (CMAKE_BUILD_TYPE)
@@ -36,18 +36,19 @@
 MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
 MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
 IF(CMAKE_BUILD_TYPE="release")
-  add_definitions(-DSKGNOTRACES) #To disable all traces  
+  add_definitions(-DSKGNOTRACES) #To disable all traces
   MESSAGE( STATUS "     All traces disabled")
 ELSE(CMAKE_BUILD_TYPE="release")
   MESSAGE( STATUS "     Traces enabled")
 ENDIF(CMAKE_BUILD_TYPE="release")
 #add_definitions(-DSKGFULLTRACES) #To enable all traces
-add_definitions(-DSKGVERSION=${VERSION})
-
-cmake_minimum_required(VERSION 2.4)
-if(COMMAND cmake_policy)
-	cmake_policy(SET CMP0003 NEW)
-endif(COMMAND cmake_policy)
+add_definitions(-DSKGVERSION=${SKG_VERSION})
+if(${KDE_VERSION} VERSION_LESS "4.6.0")
+    MESSAGE( STATUS "     enable KDE 4.5 API")
+else(${KDE_VERSION} VERSION_LESS "4.6.0")
+    MESSAGE( STATUS "     enable KDE 4.6 API")
+    add_definitions(-DSKGKDE46ENABLED=Y)
+endif(${KDE_VERSION} VERSION_LESS "4.6.0")
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
 	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/
@@ -106,6 +107,7 @@
 
 #bank plugins
 ADD_SUBDIRECTORY(skrooge_bank)
+ADD_SUBDIRECTORY(skrooge_budget)
 ADD_SUBDIRECTORY(skrooge_calculator)
 ADD_SUBDIRECTORY(skrooge_categories)
 ADD_SUBDIRECTORY(skrooge_importexport)
@@ -118,6 +120,11 @@
 ADD_SUBDIRECTORY(skrooge_tracker)
 ADD_SUBDIRECTORY(skrooge_unit)
 ADD_SUBDIRECTORY(images)
+IF(WIN32)
+    MESSAGE( STATUS "     Doc disabled on windows")
+ELSE(WIN32)
+    ADD_SUBDIRECTORY(doc)
+ENDIF(WIN32)
 
 IF(SKG_BUILD_TEST AND NOT WIN32)
 	ADD_SUBDIRECTORY(skgbasemodelertest)
@@ -139,15 +146,22 @@
 INCLUDE(CTest)
 
 #DOXYGEN
-CONFIGURE_FILE(scripts/Doxyfile.in scripts/Doxyfile @ONLY)
-ADD_CUSTOM_TARGET(apidox "doxygen" "scripts/Doxyfile" DEPENDS "scripts/Doxyfile.in")
+ADD_CUSTOM_TARGET(apidox "doxygen" "${PROJECT_SOURCE_DIR}/Doxyfile")
+
+#ASTYLE
+CONFIGURE_FILE(scripts/astyle.sh.in scripts/astyle.sh @ONLY)
+ADD_CUSTOM_TARGET(astyle "scripts/astyle.sh")
 
 #KRAZY
 CONFIGURE_FILE(scripts/krazy.sh.in scripts/krazy.sh @ONLY)
 ADD_CUSTOM_TARGET(krazy "scripts/krazy.sh")
 
-#GENERATE_ICONS
+#GENERATE ICONS
 CONFIGURE_FILE(scripts/generateIcons.sh.in scripts/generateIcons.sh @ONLY)
+
+#GENERATE SPLASH SCREEN
+CONFIGURE_FILE(scripts/generateSplash.sh.in scripts/generateSplash.sh @ONLY)
+ADD_CUSTOM_TARGET(splash "scripts/generateSplash.sh")
 
 #LCOV
 CONFIGURE_FILE(scripts/removeTmpFile.sh.in scripts/removeTmpFile.sh @ONLY)
@@ -158,66 +172,5 @@
 #FULL
 ADD_CUSTOM_TARGET(full "scripts/full.sh")
 
-#PACKAGING
-INCLUDE(InstallRequiredSystemLibraries)
-SET(CPACK_SET_DESTDIR TRUE)
-SET(CPACK_GENERATOR "DEB")
-SET(CPACK_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
-SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Personal finance management tool for KDE4, with the aim of being highly intuitive, while providing powerful functions such as reporting (including graphics), persistent Undo/Redo, encryption, and much more...")
-SET(CPACK_PACKAGE_VENDOR "Stephane MANKOWSKI / Guillaume DE BURE")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG")
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "7")
-SET(CPACK_PACKAGE_VERSION_PATCH "4")
-SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}")
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}-dev")
-SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_BINARY_DIR};skrooge;ALL;/")
-
-SET(CPACK_SOURCE_GENERATOR "TGZ")
-SET(CPACK_SOURCE_IGNORE_FILES
-"${CMAKE_BINARY_DIR}/bin"
-"${CMAKE_BINARY_DIR}/lib"
-"${CMAKE_BINARY_DIR}/cov"
-"${CMAKE_BINARY_DIR}/_CPack*"
-"${CMAKE_BINARY_DIR}/html"
-"${CMAKE_BINARY_DIR}/lib"
-"${CMAKE_BINARY_DIR}/log"
-"${CMAKE_BINARY_DIR}/Testing"
-".svn"
-"CMake*"
-"Makefile"
-"output"
-".*.cmake"
-".*~"
-".*.moc"
-".*.gz"
-".*.deb"
-".*.rpm"
-"ui.*.h"
-"Dart.*"
-"install_manifest.txt"
-)
-
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.4), kdebase-runtime, kdebase-runtime-data, libqca2 (>= 2.0.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), libqt4-sql-sqlite, libofx4")
-SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "stephane@mankowski.fr")
-SET(CPACK_DEBIAN_PACKAGE_SECTION "financial")
-
-
-#SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
-#SET(CPACK_RPM_PACKAGE_DEPENDS "kdebase4-runtime, libqtcore4 (>= 4.4.1), libqtgui4 (>= 4.4.1), qt4-database-plugin-sqlite-lib (>= 4.4.1)")
-#SET(CPACK_RPM_PACKAGE_SECTION "financial")
-#SET(CPACK_RPM_PACKAGE_VERSION ${VERSION})
-#SET(CPACK_RPM_PACKAGE_ARCHITECTURE "i586")
-#SET(CPACK_RPM_PACKAGE_RELEASE "1mdv2009.0")
-
-#SET(CPACK_STRIP_FILES "bin/skrooge")
-#SET(CPACK_SOURCE_STRIP_FILES "")
-#SET(CPACK_PACKAGE_EXECUTABLES "skrooge" "skrooge")
-INCLUDE(CPack)
-
-find_package(Msgfmt REQUIRED)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
-add_subdirectory( doc-translations )
-add_subdirectory( doc )
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )
