=== skg_dashboard2/CMakeLists.txt ===
--- 
+++ 
@@ -4,21 +4,22 @@
 
 INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
 ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
-${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgdataengine
+${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skg_dataengine
 )
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
 
-SET(skg_dashboard2_SRCS
-	skgdashboard2plugin.cpp
-	skgdashboard2pluginwidget.cpp
-	skgdashboard2applet.cpp)
+SET(skg_dashboard2_SRCS 
+    skroogoidloader.cpp
+    skgdashboard2plugin.cpp
+    skgdashboard2pluginwidget.cpp
+    skgdashboard2applet.cpp)
 
-kde4_add_ui_files(skg_dashboard2_SRCS skgdashboard2pluginwidget_base.ui skgdashboard2pluginwidget_pref.ui)
+kde4_add_ui_files(skg_dashboard2_SRCS skgdashboard2pluginwidget_base.ui skgdashboard2pluginwidget_pref.ui skroogoidloader.ui)
 kde4_add_kcfg_files(skg_dashboard2_SRCS skgdashboard2_settings.kcfgc )
 
 kde4_add_plugin(skg_dashboard2 ${skg_dashboard2_SRCS})
-TARGET_LINK_LIBRARIES(skg_dashboard2 ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)
+TARGET_LINK_LIBRARIES(skg_dashboard2 ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)
 
 ########### install files ###############
 INSTALL(TARGETS skg_dashboard2 DESTINATION ${PLUGIN_INSTALL_DIR})
