=== skg_dataengine/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE DATAENGINE ::..")

PROJECT( skgdataengine )


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler
)


LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgdataengine_SRCS skgdataengine.cpp)


kde4_add_plugin(skgdataengine ${skgdataengine_SRCS})
TARGET_LINK_LIBRARIES(skgdataengine ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbankmodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skgdataengine DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgdataengine.desktop DESTINATION ${SERVICES_INSTALL_DIR})
