=== skg_print/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_PRINT ::..")

PROJECT(plugin_print)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_print_SRCS
	skgprintplugin.cpp)


kde4_add_ui_files(skg_print_SRCS skgprintpluginwidget_pref.ui)
kde4_add_kcfg_files(skg_print_SRCS skgprint_settings.kcfgc )

kde4_add_plugin(skg_print ${skg_print_SRCS})
TARGET_LINK_LIBRARIES(skg_print ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_print DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-print.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_print.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_print )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgprint_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons(${ICON_INSTALL_DIR})
