=== skg_properties/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_PROPERTIES ::..")

PROJECT(plugin_properties)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_properties_SRCS
	skgpropertiesplugin.cpp
	skgpropertiesplugindockwidget.cpp)

kde4_add_ui_files(skg_properties_SRCS skgpropertiesplugindockwidget_base.ui)

kde4_add_plugin(skg_properties ${skg_properties_SRCS})
TARGET_LINK_LIBRARIES(skg_properties ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_properties DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-properties.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_properties.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_properties )

kde4_install_icons(${ICON_INSTALL_DIR})
