=== skg_selectall/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_SELECTALL ::..")

PROJECT(plugin_selectall)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_selectall_SRCS
	skgselectallplugin.cpp
)


kde4_add_plugin(skg_selectall ${skg_selectall_SRCS})
TARGET_LINK_LIBRARIES(skg_selectall ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_selectall DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-selectall.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_selectall.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_selectall )

kde4_install_icons(${ICON_INSTALL_DIR})
