=== skgapplets/CMakeLists.txt ===

