=== skgbankgui/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 KDE4_ADD_LIBRARY(skgbankgui SHARED ${skgbankgui_SRCS})
 
 TARGET_LINK_LIBRARIES(skgbankgui ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} skgbankmodeler skgbasemodeler skgbasegui)
-SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )
+SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
 
 ########### install files ###############
 INSTALL(TARGETS skgbankgui ${INSTALL_TARGETS_DEFAULT_ARGS}  )
