=== skgbankmodeler/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,12 @@
 ENDIF(LIBOFX_FOUND)
 #Correction bug 223848 ^^^^
 
+ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})
+
 SET(skgbankmodeler_SRCS
    skgbankobject.cpp
+   skgbudgetobject.cpp
+   skgbudgetruleobject.cpp
    skgaccountobject.cpp
    skgoperationobject.cpp
    skgrecurrentoperationobject.cpp
@@ -35,6 +39,8 @@
    skgimportskg.cpp
    skgimportkmy.cpp
    skgimportgnc.cpp
+   skgimportmmb.cpp
+   skgimportmt940.cpp
    skgimportgsb.cpp
    skgimportxhb.cpp
    skgruleobject.cpp
@@ -59,7 +65,7 @@
 IF(MSVC)
     TARGET_LINK_LIBRARIES(skgbankmodeler $ENV{KDEROOT}/lib/sp133.lib $ENV{KDEROOT}/lib/libiconv-2.lib)
 ENDIF(MSVC)
-SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )
+SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
 
 ########### install files ###############
 INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS})
