=== skgbankmodelertest/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELERTEST ::..")

PROJECT(SKGBANKMODELERTEST)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

INCLUDE_DIRECTORIES (${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasemodelertest ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BUILD_DIR}/skgbasemodeler ${CMAKE_BUILD_DIR}/skgbasemodelertest ${CMAKE_SOURCE_DIR}/skgbankmodeler
)

#Make executables
ADD_EXECUTABLE(skgtestautoreconcile skgtestautoreconcile.cpp)
ADD_EXECUTABLE(skgtestbankandaccount skgtestbankandaccount.cpp)
ADD_EXECUTABLE(skgtestbudget skgtestbudget.cpp)
ADD_EXECUTABLE(skgtestbigdocument skgtestbigdocument.cpp)
ADD_EXECUTABLE(skgtestcategory skgtestcategory.cpp)
ADD_EXECUTABLE(skgtestdocparameter skgtestdocparameter.cpp)
ADD_EXECUTABLE(skgtestmigration skgtestmigration.cpp)
ADD_EXECUTABLE(skgtestobjects skgtestobjects.cpp)
ADD_EXECUTABLE(skgtestoperation skgtestoperation.cpp)
ADD_EXECUTABLE(skgtestrecurrent skgtestrecurrent.cpp)
ADD_EXECUTABLE(skgtestrefund skgtestrefund.cpp)
ADD_EXECUTABLE(skgtestpayee skgtestpayee.cpp)
ADD_EXECUTABLE(skgtestimportqif skgtestimportqif.cpp)
ADD_EXECUTABLE(skgtestimportgnucash skgtestimportgnucash.cpp)
ADD_EXECUTABLE(skgtestimportgsb skgtestimportgsb.cpp)
ADD_EXECUTABLE(skgtestimportkmy skgtestimportkmy.cpp)
ADD_EXECUTABLE(skgtestimportmmb skgtestimportmmb.cpp)
ADD_EXECUTABLE(skgtestimportmt940 skgtestimportmt940.cpp)
ADD_EXECUTABLE(skgtestimportskg skgtestimportskg.cpp)
ADD_EXECUTABLE(skgtestimportstockqif skgtestimportstockqif.cpp)
ADD_EXECUTABLE(skgtestimportcsv skgtestimportcsv.cpp)
ADD_EXECUTABLE(skgtestimportofx skgtestimportofx.cpp)
ADD_EXECUTABLE(skgtestimportcsvunit skgtestimportcsvunit.cpp)
ADD_EXECUTABLE(skgtestimportxhb skgtestimportxhb.cpp)
ADD_EXECUTABLE(skgtestinterest skgtestinterest.cpp)
ADD_EXECUTABLE(skgtestrule skgtestrule.cpp)
ADD_EXECUTABLE(skgtestunit skgtestunit.cpp)

TARGET_LINK_LIBRARIES(skgtestautoreconcile ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbankandaccount ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbudget ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestcategory ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestdocparameter ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestmigration ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbigdocument ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestobjects ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestoperation ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrecurrent ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrefund ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestpayee ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportgnucash ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportgsb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportkmy ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportmmb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportmt940 ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportskg ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportstockqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportcsv ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportofx ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportcsvunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportxhb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestinterest ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrule ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestautoreconcile ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestautoreconcile.sh)
ADD_TEST(skgtestbankandaccount ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbankandaccount.sh)
ADD_TEST(skgtestbudget ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbudget.sh)
ADD_TEST(skgtestcategory ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestcategory.sh)
ADD_TEST(skgtestdocparameter ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestdocparameter.sh)
ADD_TEST(skgtestmigration ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestmigration.sh)
ADD_TEST(skgtestobjects ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestobjects.sh)
ADD_TEST(skgtestoperation ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestoperation.sh)
ADD_TEST(skgtestrecurrent ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrecurrent.sh)
ADD_TEST(skgtestrefund ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrefund.sh)
ADD_TEST(skgtestpayee ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestpayee.sh)
ADD_TEST(skgtestrule ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrule.sh)
ADD_TEST(skgtestunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestunit.sh)

ADD_TEST(skgtestimportcsv ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsv.sh)
ADD_TEST(skgtestimportofx ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportofx.sh)
ADD_TEST(skgtestimportcsvunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsvunit.sh)
ADD_TEST(skgtestimportqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportqif.sh)
ADD_TEST(skgtestimportgnucash ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportgnucash.sh)
ADD_TEST(skgtestimportgsb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportgsb.sh)
ADD_TEST(skgtestimportkmy ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportkmy.sh)
ADD_TEST(skgtestimportmmb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportmmb.sh)
ADD_TEST(skgtestimportmt940 ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportmt940.sh)
ADD_TEST(skgtestimportskg ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportskg.sh)
ADD_TEST(skgtestimportstockqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportstockqif.sh)
ADD_TEST(skgtestimportxhb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportxhb.sh)

ADD_TEST(skgtestinterest ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestinterest.sh)

ADD_TEST(skgtestbigdocument ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbigdocument.sh)

INCLUDE(CTest)
