=== debian/changelog ===
skrooge (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - add libqca2-plugin-ossl dependency. (Closes: #598127)
    - add libqtwebkit-dev build dependency. (Closes: #618202)
  * Remove ftbfs_arm.patch - merged upstream.
  * Fix lintian warning: remove reference to BSD license.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 20:28:52 +0300

skrooge (0.8.0.4-2) unstable; urgency=low

  * Add patch to fix build on ARM. (Closes: #615012)

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Feb 2011 15:45:07 +0200

skrooge (0.8.0.4-1) unstable; urgency=low

  * New upstream release.

  [ Scott Kitterman ]
  * Add debian/patches/01_arm_compile_fix.diff from Kubuntu to fix FTBFS on
    armel (Closes: #598966)

  [ Mark Purcell ]
  * Drop arm_compile_fix - included upstream

  [ Fathi Boudra ]
  * Update debian/skrooge-common.install file.

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 18:29:48 +1100
