## skrooge 0.9.0

=== debian/changelog ===
skrooge (0.9.0-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control: add libqca2-plugin-ossl dependency.
    (Closes: #598127)

  [ Mark Purcell ]
  * Drop ftbfs_arm.patch - fixed upstream

 -- Mark Purcell <msp@debian.org>  Fri, 10 Jun 2011 22:56:44 +1000
