=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
- kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libqtwebkit-dev,
- libsqlite3-dev, pkg-config, shared-mime-info
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev,
+ pkg-config, shared-mime-info
+Standards-Version: 3.8.4
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log
